Subject: Re: bug#66851: 30.0.50; Building emacs with native compilation fails

From: Eli Zaretskii <[email-masked]>
Date: Tue, 31 Oct 2023 20:59:06 +0200

> From: Nikos Patikas <[email-masked]>
> Date: Tue, 31 Oct 2023 14:36:22 -0400
> 
> 
> Hi,
> 
> I am having trouble to build emacs with the native-compilation flag.
> 
> I am using the following build options on the current master:
> 
> commit 5f371ca07be891cc41e8e80b8a1bc9ffcc909363 (HEAD -> master, origin/master, origin/HEAD)
> Author: Stefan Monnier <[email-masked]>
> Date:   Tue Oct 31 12:24:51 2023 -0400
> 
>     * lisp/emacs-lisp/comp.el: Remove redundant requires
> 
> 
> I build with the following options:
> 
> ./configure --with-json \
>             --with-imagemagick\
>             --with-pgtk\
>             --with-tree-sitter\
>             --with-native-compilation
> 
> 
> During make, I get a huge lisp code truncation followed by this error
> message:
> 
> Symbol’s function definition is void: cl-find-class
> make[3]: *** [Makefile:323: emacs-lisp/loaddefs-gen.elc] Error 255
> Symbol’s function definition is void: cl-find-class
> make[3]: *** [Makefile:323: emacs-lisp/radix-tree.elc] Error 255
> make[3]: Leaving directory '/home/main/git/emacs/lisp'
> make[2]: *** [Makefile:1015: bootstrap-emacs.pdmp] Error 2
> make[2]: Leaving directory '/home/main/git/emacs/src'
> make[1]: *** [Makefile:554: src] Error 2
> make[1]: Leaving directory '/home/main/git/emacs'
> make[1]: Entering directory '/home/main/git/emacs'
> ***
> *** "make all" failed with exit status 2.
> 
> If remove the native comp flag then it builds fine.
> 
> 
> Wondering if this affects only my system.

Thanks, but please capture and post here the complete build log, from
its start till the last error message.  We need to see all of that to
understand what could cause the problem.

Adding Stefan who made that commit.